> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-detailed-path-network/os-detailed-path-network-technical-specification/code-lists/potentialhazardvalue.md).

# PotentialHazardValue

This attribute indicates that part or all of the RouteLink passes through an area that may pose an impediment to passage for users or a level of risk.

Only RouteLink features with the descriptiveTerm of ‘No Physical Manifestation’ or ‘Path’ are eligible to have the potentialHazard attribute populated. Values may be multiple if appropriate.

{% hint style="info" %}
This attribute is particularly relevant where a RouteLink feature has been provided with a descriptiveTerm of ‘Route Without Physical Manifestation’, as some legal rights of way may pass over problematic or even dangerous terrain and may need to be excluded from any route options.
{% endhint %}

For all other navigableLink features, this value is null.

Classification of hazardous terrain that may pose a risk or impediment to passage.

| Value         | Description                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Boulders      | The route passes through an area of boulders.                                                                                                                                                                                                                                                                                                                                                                  |
| Cliff         | The route passes over an area of cliffs.                                                                                                                                                                                                                                                                                                                                                                       |
| Quarry Or Pit | The route passes through an active or disused excavation, for example, a pit or quarry.                                                                                                                                                                                                                                                                                                                        |
| Foreshore \*  | <p>The route passes through an area that is covered by the tide at normal High Tides in England and Wales and an area that is covered by the tide at normal Spring High Tides in Scotland.</p><p>Note that paths near the High Water Mark may also be covered when tides are higher than the marks that Ordnance Survey record – normal High Tides in England and Wales and Spring High Tides in Scotland.</p> |
| Marsh         | The route passes through an area of marsh.                                                                                                                                                                                                                                                                                                                                                                     |
| Mud           | The route passes through an area of mud.                                                                                                                                                                                                                                                                                                                                                                       |
| Sand          | The route passes through an area of sand.                                                                                                                                                                                                                                                                                                                                                                      |
| Scree         | The route passes through an area of scree.                                                                                                                                                                                                                                                                                                                                                                     |
| Shingle       | The route passes through an area of shingle.                                                                                                                                                                                                                                                                                                                                                                   |
| Spoil         | The route passes through an area of deposited material.                                                                                                                                                                                                                                                                                                                                                        |
| Rock          | The route passes over an area of surface rock.                                                                                                                                                                                                                                                                                                                                                                 |
| Tidal Water   | The route passes through an area of permanent tidal water.                                                                                                                                                                                                                                                                                                                                                     |
| Inland Water  | The route passes through an area of permanent non-tidal water.                                                                                                                                                                                                                                                                                                                                                 |

\*Foreshore is added to all links that are intertidal.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-detailed-path-network/os-detailed-path-network-technical-specification/code-lists/potentialhazardvalue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
